Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 719934 - dev-python/pycparser calls cpp directly
Summary: dev-python/pycparser calls cpp directly
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2020-04-28 14:39 UTC by Agostino Sarubbo
Modified: 2020-05-24 19:40 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,21.78 KB, text/plain)
2020-04-28 14:40 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-04-28 14:39:55 UTC
This is an auto-filled bug because dev-python/pycparser calls cpp directly.
The issue was originally discovered on arm64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.

NOTE:
This issue has been reproduced by setting the CPP variable and by removing the /usr/bin/cpp binary.
Comment 1 Agostino Sarubbo gentoo-dev 2020-04-28 14:40:07 UTC
Created attachment 635068 [details]
build.log

build log and emerge --info
Comment 2 Mike Gilbert gentoo-dev 2020-04-28 16:53:34 UTC
This doesn't seem like a real problem. pycparser optionally uses 'cpp' to parse header files. It doesn't compile anything, so using the ${CHOST} toolchain does not matter.
Comment 3 Agostino Sarubbo gentoo-dev 2020-04-28 17:05:31 UTC
I guess it does matter if I use a different cpp implementation (e.g. clang-cpp after set CPP)
Comment 4 Mike Gilbert gentoo-dev 2020-04-28 17:31:33 UTC
It should work with any cpp that can process C99 source files.
Comment 5 Larry the Git Cow gentoo-dev 2020-05-02 21:28:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3af4c3be7962780f471641f0d8d2f6b9c335cdc

commit f3af4c3be7962780f471641f0d8d2f6b9c335cdc
Author:     Mike Gilbert <floppym@gentoo.org>
AuthorDate: 2020-05-02 21:27:50 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-05-02 21:27:50 +0000

    dev-python/pycparser: trick tests into using CPP variable
    
    Closes: https://bugs.gentoo.org/719934
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 dev-python/pycparser/pycparser-2.20.ebuild | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)
Comment 6 Larry the Git Cow gentoo-dev 2020-05-19 19:47:48 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8b4d4f6e0de55fb7d18119ea06196dae06bc6a6

commit c8b4d4f6e0de55fb7d18119ea06196dae06bc6a6
Author:     Mike Gilbert <floppym@gentoo.org>
AuthorDate: 2020-05-19 19:46:09 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-05-19 19:47:35 +0000

    Revert "dev-python/pycparser: trick tests into using CPP variable"
    
    This reverts commit f3af4c3be7962780f471641f0d8d2f6b9c335cdc.
    
    Bug: https://bugs.gentoo.org/719934
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 dev-python/pycparser/pycparser-2.20.ebuild | 15 ++-------------
 1 file changed, 2 insertions(+), 13 deletions(-)
Comment 7 Larry the Git Cow gentoo-dev 2020-05-24 19:40:24 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ebbffbddc263b9dc81fc8081165f2c26dac945f8

commit ebbffbddc263b9dc81fc8081165f2c26dac945f8
Author:     Mike Gilbert <floppym@gentoo.org>
AuthorDate: 2020-05-24 19:39:37 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-05-24 19:40:21 +0000

    dev-python/pycparser: skip tests if cpp is not in PATH
    
    Bug: https://bugs.gentoo.org/719934
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 dev-python/pycparser/pycparser-2.20.ebuild | 2 ++
 1 file changed, 2 insertions(+)